<?php

/*
Plugin Name:BP Profile Shortcodes Extra
Description:Provides shortcodes to display data from a user's buddypress profile as well as groups - Headers, Avatars, Cover-Images, Links, Member Lists etc..
Version: 1.0.4
Author: Venutius
Author URI: http://buddyuser.com/
Plugin URI: http://buddyuser.com/plugin-bp-profile-shortcodes-extra/
* @package    bp-Profile-Shortcodes-Extra
* @copyright  Copyright (c) 2018, George Chaplin, however the license allows you to copy and modify at will. If you are able to make money with solutions that include this plugin a few beers would be appreciated ;)
* @link       http://buddyuser.com
* @license    http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*
*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

if ( !defined( 'ABSPATH' ) ) exit;

function bppsc_plugin_init() {
    require( dirname( __FILE__ ) . '/inc/bppsc_shortcodes-extra.php');
    $obj = new bppsc_shortcodes();
}
add_action( 'bp_include', 'bppsc_plugin_init' );

// Localization
function bppse_localization() {

load_plugin_textdomain('bp-Profile-Shortcodes-Extra', false, dirname(plugin_basename( __FILE__ ) ).'/langs/' );
}
 
add_action('init', 'bppse_localization');

function bppsc_check_buddypress(){
    if(!class_exists('BuddyPress')):
        add_action( 'admin_notices', 'bppsc_no_bp_admin_notice' );
    endif;
}
add_action( 'plugins_loaded', 'bppsc_check_buddypress' );

function bppsc_no_bp_admin_notice() {
    ?>
    <div class="error fade notice-error6 is-dismissible">
        <p><?php esc_textarea(_e( 'BuddyPress needs to be installed for BP Profile Shortcodes Extra to work.', 'bp-Profile-Shortcodes-Extra' ) ); ?></p>
    </div>
<?php
}
//add_filter( 'plugin_row_meta', 'bppsc_custom_plugin_row_meta', 10, 2 );

// function bppsc_custom_plugin_row_meta( $links, $file ) {

	// if ( strpos( $file, 'buddypress_profile_shortcodes.php' ) !== false ) {
		// $new_links = array(
					// '<a href="http://extend.bt4.me/downloads/buddypress-profile-shortcodes/" target="_blank">BuddyPress Profile Shortcodes</a>',
					// '<a href="http://extend.bt4.me/downloads/buddypress-profile-custom-area/" target="_blank">BuddyPress Profile Custom Area</a>',
					// '<a href="http://extend.bt4.me/downloads/buddypress-profile-geolocation/" target="_blank">BuddyPress Profile GeoLocation</a>'
				// );
		
		// $links = array_merge( $links, $new_links );
	// }

	// return $links;
// }